Debian Bug report logs - #659432
wu-ftpd: Uses perl4 corelibs without Depends

version graph

Package: wu-ftpd; Maintainer for wu-ftpd is Chris Butler <chrisb@debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 11 Feb 2012 00:06:12 UTC

Severity: normal

Found in version wu-ftpd/2.6.2-33

Fixed in version wu-ftpd/2.6.2-34

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#659432; Package wu-ftpd. (Sat, 11 Feb 2012 00:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 11 Feb 2012 00:06:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: wu-ftpd: Uses perl4 corelibs without Depends
Date: Sat, 11 Feb 2012 00:04:21 +0000
Package: wu-ftpd
Version: 2.6.2-33
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/sbin/xferstats:63 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Sun, 18 Mar 2012 12:05:53 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sun, 18 Mar 2012 12:06:35 GMT) Full text and rfc822 format available.

Message #10 received at 659432-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659432-close@bugs.debian.org
Subject: Bug#659432: fixed in wu-ftpd 2.6.2-34
Date: Sun, 18 Mar 2012 12:03:25 +0000
Source: wu-ftpd
Source-Version: 2.6.2-34

We believe that the bug you reported is fixed in the latest version of
wu-ftpd, which is due to be installed in the Debian FTP archive:

wu-ftpd_2.6.2-34.diff.gz
  to main/w/wu-ftpd/wu-ftpd_2.6.2-34.diff.gz
wu-ftpd_2.6.2-34.dsc
  to main/w/wu-ftpd/wu-ftpd_2.6.2-34.dsc
wu-ftpd_2.6.2-34_i386.deb
  to main/w/wu-ftpd/wu-ftpd_2.6.2-34_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659432@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated wu-ftpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Mar 2012 11:42:28 +0000
Source: wu-ftpd
Binary: wu-ftpd
Architecture: source i386
Version: 2.6.2-34
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 wu-ftpd    - powerful and widely used FTP server
Closes: 659432
Changes: 
 wu-ftpd (2.6.2-34) unstable; urgency=low
 .
   * QA upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #659432)
Checksums-Sha1: 
 768d303fc09551547752a24a4284819c83a84e38 1218 wu-ftpd_2.6.2-34.dsc
 cd7631f6d6d940d40ed44beb889b8a4ab508f436 152035 wu-ftpd_2.6.2-34.diff.gz
 34a22ec6e2a599707a032fc929d993901aeba742 295612 wu-ftpd_2.6.2-34_i386.deb
Checksums-Sha256: 
 867745fe94491b9aaf8818739c3dceeda611b53b9329b210649520d28f97f067 1218 wu-ftpd_2.6.2-34.dsc
 df434a80e8e429dd856b47a890d2005eccd697523d7dcc024fa83917e67d9186 152035 wu-ftpd_2.6.2-34.diff.gz
 8af30ea0a2547a172353524e85bc83a70b0bb974ed6abfc39041025b3113971b 295612 wu-ftpd_2.6.2-34_i386.deb
Files: 
 e310c723ef7c7ad6f0be604a7ffec1fa 1218 net extra wu-ftpd_2.6.2-34.dsc
 148a056b9086cf5a78e9191b5dfa14df 152035 net extra wu-ftpd_2.6.2-34.diff.gz
 6bd356d1d678415f3e4364f416deea87 295612 net extra wu-ftpd_2.6.2-34_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPZctAYzuFKFF44qURAsTRAJ4vuByg5mH89zIozPyaXwIGJNlkYACgi5CC
3mI5gLsWNBI4SVGlpxFOzSc=
=7zJm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Apr 2012 07:33:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:38:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.